PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_sgetri | ( | int | N,
|  | float * | A,
|  | int | LDA,
|  | int * | IPIV
| ) |  |

PLASMA_sgetri - Computes the inverse of a matrix using the LU factorization computed by PLASMA_sgetrf. This method inverts U and then computes inv(A) by solving the system inv(A)*L = inv(U) for inv(A).

Parameters

  [in] | N | The order of the matrix A. N >= 0.
  [in,out] | A | On entry, the triangular factor L or U from the factorization A = P*L*U as computed by PLASMA_sgetrf. On exit, if return value = 0, the inverse of the original matrix A.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in] | IPIV | The pivot indices that define the permutations as returned by PLASMA_sgetrf.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value
  >0 | if i, the (i,i) element of the factor U is exactly zero; The matrix is singular and its inverse could not be computed.

See also
  PLASMA_sgetri_Tile
  PLASMA_sgetri_Tile_Async
  PLASMA_cgetri
  PLASMA_dgetri
  PLASMA_sgetri
  PLASMA_sgetrf